Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Textbox für mehrzeilige Attribute?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Textbox für mehrzeilige Attribute? (991 mal gelesen)
joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 19. Apr. 2013 08:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
für normale Attribute verwende ich die Funktion TEXTBOX um die umgrenzenden Koordinaten festzustellen (z.B. um das Attribut mit einem Rechteck zu umfassen).

Bei mehrzeiligen Attributen funktioniert das nicht, hat irgendwer eine Idee, wie man da verfahren kann??
Bin wie immer für jeden Tipp dankbar.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinatenausgabe Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 19. Apr. 2013 08:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
ich glaube ich habe die Lösung bereits, im GC 42 und 43 sind Breite und Höhe hinterlegt. Also, ich ziehe die Frage erstmal zurück.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinatenausgabe Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadplayer
Ehrenmitglied
CADniker


Sehen Sie sich das Profil von cadplayer an!   Senden Sie eine Private Message an cadplayer  Schreiben Sie einen Gästebucheintrag für cadplayer

Beiträge: 1817
Registriert: 28.04.2009

Windows 10
64bit system
Autocad Civil3d 2017 ENGLISH
Visual Studio 2015
OpenDCL.Runtime.8

erstellt am: 19. Apr. 2013 10:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

Vielleicht ist die Expresstool funktion für die interessant

(acet-geom-textbox e1 0.2) ; 0.2 offset Textumrandung


also so
(setq tb (acet-geom-textbox (entget (car (nentsel))) 0.2)) ; 0.2 offset Textumrandung

------------------
Gruss Dirk

http://cadplayerlounge.blogspot.se

[Diese Nachricht wurde von cadplayer am 19. Apr. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 19. Apr. 2013 11:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Dirk,
danke für Deine Rückmeldung, ich habe es jetzt aber schon gelöst:

Code:

;;;Mehrzeiliges Attribut picken
(defun c:test ( / KOORDS OBJ)
  (if (=(vlax-get (vlax-ename->vla-object (setq obj(car(nentsel))))
          'MtextAttribute)-1)
    (progn
      (setq koords(JBf_TextBox:EckpunkteWelt:AttMehrzeilig obj 1.1))
      (command "_.pline"
        (car koords)
        (cadr koords)
        (caddr koords)
        (cadddr koords) "_c" ""))))
   

;;;Rückgabe von Weltkoordinaten lu, ru, ro, lo
(defun JBf_TextBox:EckpunkteWelt:AttMehrzeilig (objAtt AusdehungsFaktor /
                                                BASIS LISTE P1 P2 P3 P4 WINKEL)

  (setq liste (entget objAtt)
        p4 (cdr(assoc 10 (reverse liste)))
        winkel (cdr(assoc 50 liste))
        p1 (polar p4 (+ (* pi 1.5)winkel)(cdr(assoc 43 (reverse liste))))
        p2 (polar p1 winkel (cdr(assoc 42 (reverse liste))))
        p3 (polar p2 (+ winkel (* pi 0.5))(cdr(assoc 43 (reverse liste))))
        )
  (list (polar p3 (angle p3 p1)(*(distance p3 p1)AusdehungsFaktor))
        (polar p4 (angle p4 p2)(*(distance p4 p2)AusdehungsFaktor))
        (polar p1 (angle p1 p3)(*(distance p1 p3)AusdehungsFaktor))
        (polar p2 (angle p2 p4)(*(distance p2 p4)AusdehungsFaktor)))

  )


------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinatenausgabe Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz